<?php

namespace Drupal\stop_broken_link_in_body\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\stop_broken_link_in_body\Form\RunContentBrokenLink;

/**
 * Class BrokenLinkController.
 */
class BrokenLinkController extends ControllerBase {

  /**
   * Response code accepted.
   */
  const CORRECT_RESPONSE_CODE = [200, 301, 302];

  /**
   * getReports.
   */
  public function getReports() {
    $output['check'] =  \Drupal::formBuilder()->getForm(RunContentBrokenLink::class);
    $output['list'] = [
      '#type' => 'table',
      '#header' => $this->buildHeader(),
      '#rows' => \Drupal::state()->get('broken_content'),
      '#empty' => $this->t('Not broken links found.'),
    ];
    return $output;
  }

  /**
   * buildHeader.
   */
  protected function buildHeader() {
    return [
      $this->t('Contents with broken links'),
      $this->t('Type'),
    ];
  }

}
